<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap" rel="stylesheet">
    <!-- Include Select2 CSS library -->
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <link rel="icon" type="image/x-icon" href="img/icon.ico">
    <style>
        body {
            font-family: 'Roboto', sans-serif;
            background-color: #f4f7f9;
            color: #333;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            align-items: center;
            min-height: 100vh;
        }

        .container {
            width: 100%;
            max-width: 900px;
            padding: 20px;
            box-sizing: border-box;
        }

        .image-container {
            text-align: center;
            margin-bottom: 30px;
        }

        .image-container img {
            max-width: 150px;
            height: auto;
            border-radius: 50%;
            border: 2px solid #003f5c;
        }

        .form-container {
            background: #ffffff;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            padding: 20px;
            box-sizing: border-box;
        }

        .form-container h1 {
            margin-bottom: 20px;
            font-size: 24px;
            color: #003f5c;
            text-align: center;
        }

        .section-title {
            font-size: 20px;
            font-weight: 600;
            color: #003f5c;
            margin-bottom: 15px;
            border-bottom: 2px solid #003f5c;
            padding-bottom: 5px;
        }

        .form-group {
            margin-bottom: 20px;
        }

        .form-group label {
            display: block;
            margin-bottom: 8px;
            font-weight: 500;
            color: #003f5c;
        }

        .form-group input,
        .form-group select {
            width: 100%;
            padding: 10px;
            border: 1px solid #7aab7f;
            border-radius: 4px;
            font-size: 16px;
            color: #333;
            background-color: #ffffff;
            box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.1);
            outline: none;
            box-sizing: border-box;
        }

        .form-group input:focus,
        .form-group select:focus {
            border-color: #003f5c;
            box-shadow: 0 0 5px rgba(0, 63, 92, 0.3);
        }

        .form-group .form-check {
            display: flex;
            align-items: center;
        }

        .form-group .form-check input {
            margin-right: 10px;
        }

        .form-group .form-check label {
            margin-bottom: 0;
            font-weight: 400;
        }

        .btn-submit {
            background-color: #003f5c;
            color: #ffffff;
            border: none;
            padding: 15px 20px;
            font-size: 16px;
            border-radius: 4px;
            cursor: pointer;
            width: 100%;
            box-sizing: border-box;
        }

        .btn-submit:hover {
            background-color: #002a3d;
        }

        @media (max-width: 767px) {

            .form-group input,
            .form-group select {
                font-size: 14px;
                padding: 8px;
            }

            .btn-submit {
                font-size: 14px;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="image-container">
            <img src="img/homeImg.png" alt="University Logo" />
        </div>

        <div class="form-container">
            <h1>Student Registration</h1>
            <form action="{{ route('initiateCheckout') }}" method="POST">
                @csrf

                <!-- Student Name (English) -->
                <div class="section-title">Student Name (English)</div>
                <div class="form-group">
                    <label for="first_name_en">First Name</label>
                    <input type="text" id="first_name_en" name="first_name_en" required>
                </div>
                <div class="form-group">
                    <label for="middle_name_en">Middle Name</label>
                    <input type="text" id="middle_name_en" name="middle_name_en" required>
                </div>
                <div class="form-group">
                    <label for="last_name_en">Last Name</label>
                    <input type="text" id="last_name_en" name="last_name_en" required>
                </div>
                <div class="form-group">
                    <label for="surname_en">Surname</label>
                    <input type="text" id="surname_en" name="surname_en" required>
                </div>

                <!-- Student Name (Arabic) -->
                <div class="section-title">Student Name (Arabic)</div>
                <div class="form-group">
                    <label for="first_name_ar">First Name</label>
                    <input type="text" id="first_name_ar" name="first_name_ar" required>
                </div>
                <div class="form-group">
                    <label for="middle_name_ar">Middle Name</label>
                    <input type="text" id="middle_name_ar" name="middle_name_ar" required>
                </div>
                <div class="form-group">
                    <label for="last_name_ar">Last Name</label>
                    <input type="text" id="last_name_ar" name="last_name_ar" required>
                </div>
                <div class="form-group">
                    <label for="surname_ar">Surname</label>
                    <input type="text" id="surname_ar" name="surname_ar" required>
                </div>

                <!-- Personal Information -->
                <div class="section-title">Personal Information</div>
                <div class="form-group">
                    <label for="gender">Gender</label>
                    <select id="gender" name="gender" required>
                        <option value="" disabled selected>Select Gender</option>
                        <option value="male">Male</option>
                        <option value="female">Female</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="dob">Date of Birth</label>
                    <input type="date" id="dob" name="dob" required>
                </div>

                <div class="form-group">
                    <label for="address">Address</label>
                    <input type="text" id="address" name="address" required>
                </div>

                <!-- Contact Information -->
                <div class="section-title">Contact Information</div>
                <div class="form-group">
                    <label for="phone">Phone Number</label>
                    <input type="text" id="phone" name="phone" required>
                </div>

                <div class="form-group">
                    <label for="mobile">Mobile Number</label>
                    <input type="text" id="mobile" name="mobile" required>
                </div>

                <div class="form-group">
                    <label for="email">Email Address</label>
                    <input type="email" id="email" name="email" required>
                </div>

                <!-- Education -->
                <div class="section-title">Education</div>
                <div class="form-group">
                    <label for="degree">Degree</label>
                    <select id="degree" name="degree" required>
                        <option value="" disabled selected>Select Degree</option>
                        <option value="bachelor">Bachelor</option>
                        <option value="master">Master</option>
                        <option value="doctorate">Doctorate</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="student_type">Student Type</label>
                    <select id="student_type" name="student_type" required>
                        <option value="" disabled selected>Select Student Type</option>
                        <option value="full_time">Full-Time</option>
                        <option value="part_time">Part-Time</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="student_id">Student ID</label>
                    <input type="text" id="student_id" name="student_id" disabled>
                </div>

                <!-- Nationality -->
                <div class="section-title">Nationality</div>
                <div class="form-group">
                    <label for="nationality">Nationality</label>
                    <select id="nationality" name="nationality" required>
                        <option value="" disabled selected>Select Nationality</option>
                        <option value="national1">Nationality 1</option>
                        <option value="national2">Nationality 2</option>
                        <!-- Add more options as needed -->
                    </select>
                </div>

                <div class="form-group">
                    <label for="national_id">National ID</label>
                    <input type="text" id="national_id" name="national_id" required>
                </div>

                <!-- Course -->
                <div class="section-title">Course</div>
                @foreach ($course as $course)
                    <div class="form-group">
                        <label for="course_name">Course Name</label>
                        <input value="{{ $course->courseName }}" type="text" id="course_name" name="course_name"
                            required disabled>
                        <input type="text" value="{{ $course->id }}" name="course_id" required readonly>
                    </div>
                    <div class="form-group">
                        <label for="course_price">Course Price</label>
                        <input type="text" value="{{ $course->courseCost }} JOD" id="course_price"
                            name="course_price" required disabled>
                    </div>
                @endforeach

                <!-- Data Agreement -->
                <div class="form-group">
                    <div class="form-check">
                        <input type="checkbox" id="data_agreement" name="data_agreement" required>
                        <label for="data_agreement">I confirm that all information provided is accurate.</label>

                    </div>
                </div>

                <!-- Submit Button -->
                <div class="form-group">
                    <button type="submit" class="btn-submit">Register</button>
                </div>
            </form>
        </div>
    </div>

    <!-- Include jQuery library -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <!-- Include Select2 JS library -->
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script>
        // Initialize Select2 for select elements
        $(document).ready(function() {
            $('#gender, #degree, #student_type, #nationality').select2({
                placeholder: "Select an option",
                width: 'resolve'
            });

            // Toggle Student ID field based on Student Type selection
            $('#student_type').change(function() {
                var studentType = $(this).val();
                if (studentType === 'part_time') {
                    $('#student_id').prop('disabled', false).prop('required', true);
                } else {
                    $('#student_id').prop('disabled', true).prop('required', false);
                }
            });
        });
    </script>
</body>

</html>
